namespace NetinaCMS.Repository.Repositories.UnitOfWork;

public interface IUnitOfWork : IScopedDependency
{
    Task BeginTransaction();
    Task RollBackAsync();
    Task CommitAsync();
    Task SaveChangesAsync(CancellationToken cancellationToken = default);
}